#!/usr/bin/env python3

# Copyright (c) 2017-present, Facebook, Inc.
# All rights reserved.
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree. An additional grant
# of patent rights can be found in the PATENTS file in the same directory.
"""
CB Model Personalities.
"""

PERSONALITIES = [
    'Adventurous',
    'Appreciative (Grateful)',
    'Articulate (Well-spoken, Expressive)',
    'Attractive',
    'Brilliant',
    'Calm',
    'Captivating',
    'Caring',
    'Charming',
    'Cheerful',
    'Clever',
    'Colorful (Full of Life, Interesting)',
    'Compassionate (Sympathetic, Warm)',
    'Confident',
    'Considerate',
    'Contemplative (Reflective, Thoughtful)',
    'Courageous',
    'Creative',
    'Cultured (Refined, Educated)',
    'Curious',
    'Daring',
    'Deep',
    'Dramatic',
    'Earnest (Enthusiastic)',
    'Elegant',
    'Eloquent (Well-spoken, Expressive)',
    'Empathetic',
    'Energetic',
    'Enthusiastic',
    'Exciting',
    'Extraordinary',
    'Freethinking',
    'Fun-loving',
    'Gentle',
    'Happy',
    'Honest',
    'Humble',
    'Humorous',
    'Idealistic',
    'Imaginative',
    'Insightful',
    'Intelligent',
    'Kind',
    'Knowledgeable',
    'Logical',
    'Meticulous (Precise, Thorough)',
    'Objective (Detached, Impartial)',
    'Observant',
    'Open',
    'Optimistic',
    'Passionate',
    'Patriotic',
    'Peaceful',
    'Perceptive',
    'Playful',
    'Practical',
    'Profound',
    'Rational',
    'Realistic',
    'Reflective',
    'Relaxed',
    'Respectful',
    'Romantic',
    'Rustic (Rural)',
    'Scholarly',
    'Sensitive',
    'Sentimental',
    'Serious',
    'Simple',
    'Sophisticated',
    'Spirited',
    'Spontaneous',
    'Stoic (Unemotional, Matter-of-fact)',
    'Suave (Charming, Smooth)',
    'Sweet',
    'Sympathetic',
    'Vivacious (Lively, Animated)',
    'Warm',
    'Wise',
    'Witty',
    'Youthful',
    'Absentminded',
    'Aggressive',
    'Amusing',
    'Artful',
    'Boyish',
    'Breezy (Relaxed, Informal)',
    'Businesslike',
    'Casual',
    'Cerebral (Intellectual, Logical)',
    'Complex',
    'Conservative (Traditional, Conventional)',
    'Contradictory',
    'Cute',
    'Dreamy',
    'Dry',
    'Emotional',
    'Enigmatic (Cryptic, Obscure)',
    'Formal',
    'Glamorous',
    'High-spirited',
    'Impersonal',
    'Intense',
    'Maternal (Mother-like)',
    'Mellow (Soothing, Sweet)',
    'Mystical',
    'Neutral',
    'Old-fashioned',
    'Ordinary',
    'Questioning',
    'Sarcastic',
    'Sensual',
    'Skeptical',
    'Solemn',
    'Stylish',
    'Tough',
    'Whimsical (Playful, Fanciful)',
    'Abrasive (Annoying, Irritating)',
    'Airy (Casual, Not Serious)',
    'Aloof (Detached, Distant)',
    'Angry',
    'Anxious',
    'Apathetic (Uncaring, Disinterested)',
    'Argumentative',
    'Arrogant',
    'Artificial',
    'Assertive',
    'Barbaric',
    'Bewildered (Astonished, Confused)',
    'Bizarre',
    'Bland',
    'Blunt',
    'Boisterous (Rowdy, Loud)',
    'Childish',
    'Coarse (Not Fine, Crass)',
    'Cold',
    'Conceited (Arrogant, Egotistical)',
    'Confused',
    'Contemptible (Despicable, Vile)',
    'Cowardly',
    'Crazy',
    'Critical',
    'Crude',
    'Cruel',
    'Cynical (Doubtful, Skeptical)',
    'Destructive',
    'Devious',
    'Discouraging',
    'Disturbing',
    'Dull',
    'Egocentric (Self-centered)',
    'Envious',
    'Erratic',
    'Escapist (Dreamer, Seeks Distraction)',
    'Excitable',
    'Extravagant',
    'Extreme',
    'Fanatical',
    'Fanciful',
    'Fatalistic (Bleak, Gloomy)',
    'Fawning (Flattering, Deferential)',
    'Fearful',
    'Fickle (Changeable, Temperamental)',
    'Fiery',
    'Foolish',
    'Frightening',
    'Frivolous (Trivial, Silly)',
    'Gloomy',
    'Grand',
    'Grim',
    'Hateful',
    'Haughty (Arrogant, Snobbish)',
    'Hostile',
    'Irrational',
    'Irritable',
    'Lazy',
    'Malicious',
    'Melancholic',
    'Miserable',
    'Money-minded',
    'Monstrous',
    'Moody',
    'Morbid',
    'Narcissistic (Self-centered, Egotistical)',
    'Neurotic (Manic, Obsessive)',
    'Nihilistic',
    'Obnoxious',
    'Obsessive',
    'Odd',
    'Offhand',
    'Opinionated',
    'Outrageous',
    'Overimaginative',
    'Paranoid',
    'Passive',
    'Pompous (Self-important, Arrogant)',
    'Pretentious (Snobbish, Showy)',
    'Provocative',
    'Quirky',
    'Resentful',
    'Ridiculous',
    'Rigid',
    'Rowdy',
    'Scornful',
    'Shy',
    'Silly',
    'Stiff',
    'Stupid',
    'Tense',
    'Uncreative',
    'Unimaginative',
    'Unrealistic',
    'Vacuous (Empty, Unintelligent)',
    'Vague',
    'Wishful',
    'Zany'
]
